package com.ss.android.ugc.aweme.global.config.settings.pojo;

import X.C49504Ek;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import java.util.ArrayList;
import java.util.List;

public class UrlModel {
    @c(LIZ = "height")
    public Integer height;
    @c(LIZ = "uri")
    public String uri;
    @c(LIZ = "url_key")
    public String urlKey;
    @c(LIZ = "url_list")
    public List<String> urlList = new ArrayList();
    @c(LIZ = "width")
    public Integer width;

    static {
        Covode.recordClassIndex(82920);
    }

    public List<String> getUrlList() {
        return this.urlList;
    }

    public Integer getHeight() {
        Integer num = this.height;
        if (num != null) {
            return num;
        }
        throw new C49504Ek();
    }

    public String getUri() {
        String str = this.uri;
        if (str != null) {
            return str;
        }
        throw new C49504Ek();
    }

    public String getUrlKey() {
        String str = this.urlKey;
        if (str != null) {
            return str;
        }
        throw new C49504Ek();
    }

    public Integer getWidth() {
        Integer num = this.width;
        if (num != null) {
            return num;
        }
        throw new C49504Ek();
    }
}
